# Ds\Set::__construct

(PECL ds >= 1.0.0)

Ds\Set::__construct — Crée une nouvelle instance

### Description

public Ds\Set::__construct(mixed `$values` = [])

Créer une nouvelle instance, en utilisant soit un objet traversable ou un tableau pour les `valeurs` initiales.

### Liste de paramètres

`values`

  Un objet traversable ou un tableau à utiliser pour les valeurs initiales.

### Exemples

Exemple #1 Exemple de Ds\Set::__construct()

`<?php
$set = new \Ds\Set();
var_dump($set);
$set = new \Ds\Set([1, 2, 3]);
var_dump($set);
?>`

Résultat de l'exemple ci-dessus est similaire à :

    object(Ds\Set)#1 (0) {
    }
    object(Ds\Set)#2 (3) {
      [0]=>
      int(1)
      [1]=>
      int(2)
      [2]=>
      int(3)
    }